windows上安装 Twisted

原创 2013年01月07日 23:50:29

步骤1:下载Twisted

http://twistedmatrix.com/trac/wiki/Downloads

我下载的是(Twisted-12.3.0.win32-py2.7)

 

步骤2:安装Twisted

点击Twisted-12.3.0.win32-py2.7直接运行即可

这时候,运行IDLE,输入from twisted.internet import reactor,提示不可用。需要装zope.interface模块并且版本号要大于3.6.0

 

步骤3:下载zope

http://pypi.python.org/pypi/zope.interface#downloads

我下载的是zope.interface-3.8.0-py2.7-win32.egg

 

步骤4:安装zope

http://pypi.python.org/pypi/setuptools

先下载setuptools-0.6c11.win32-py2.7.exe, 安装setup tools

这是C:\Python27\Scripts下会有一些与easy_install相关的文件。

如果你已经安装了easy_install可以忽略上面的步骤。

将zope.interface-3.8.0-py2.7-win32.egg放到 C:\Python27\Scripts目录下。

在命令行中运行:

C:\>cd Python27\Scripts
C:\Python27\Scripts>easy_install.exe zope.interface-3.8.0-py2.7-win32.egg

关闭刚刚打开的IDLE,再次打开并进入IDLE,输入from twisted.internet import reactor 如没有错误表示安装成功。

版权声明:本文为博主原创文章,未经博主允许不得转载。

windows python twisted下载 安装 使用

windows: 一、下载地址 http://twistedmatrix.com/trac/wiki/Downloads Twisted-13.2.0.win-amd64-py2.7.m...

Python+Twisted +Win7 环境配置

最近接触到了 Python ,挺喜欢这简洁又强大的 “蟒蛇” 啊! 因为在实现 多人斗地主 的功能中用到了网络通信模块 得配置 Twisted  框架的环境 随便过程简单记录一下吧。 Step1...
  • Geek4IT
  • Geek4IT
  • 2012年11月01日 22:28
  • 1621

Python开发:windows下安装twisted过程

方式一、命令行中运行easy_instal twisted 提示“Unable to find vcvarsall.bat”的错误,这是因为twisted源代码安装方式,需要C编译环境,如果有安装v...

Python安装Twisted框架并使用

安装方法参考:http://www.cnblogs.com/lovely7/p/5833371.html

python twisted安装中的错误

在linux 上面安装twisted的时候,可能会有一个 致命错误,python.h没有这个文件或目录。 可以使用命令yum install python-devel安装pytho...

python3.6 安装Twisted出错怎么办

从pip 里安装发现如下出错:要解决这个问题,只能到网站:下载地址:http://www.lfd.uci.edu/~gohlke/pythonlibs/下载到文件:Twisted-17.5.0-cp3...

Delphi7高级应用开发随书源码

  • 2003年04月30日 00:00
  • 676KB
  • 下载

Python+Twisted+Win7安装套件安装配置环境

最近接触到了 Python ,挺喜欢这简洁又强大的 “蟒蛇” 啊! 因为在实现 多人斗地主 的功能中用到了网络通信模块 得配置 Twisted  框架的环境 随便过程简单记录一下吧。 Step1...

记一次使用开源代码的微博爬虫的经历

记一次使用开源代码的微博爬虫的经历 开源可以让我们的生活更佳美好。之前一直打算把写一个的新浪微博爬虫,然后将数据存入数据库,从而以支持我后续的科研数据分析。 最初,我去看看了微博官方提供的开发者A...

python2.4升级到2.7后,解决安装json后模块不识别的问题

yum -y install python-simplejson 上述命令执行后,json模块默认还是被安装到了python2.4下面,python2.7环境无法使用 解决办法 yum安装的js...
内容举报
返回顶部
收藏助手
不良信息举报
您举报文章:windows上安装 Twisted
举报原因:
原因补充:

(最多只允许输入30个字)